# execline-ptrc-extras

> fun execline scripts to try at home

#### println

like echo, but chainable

```sh
println "test"
echo test1
```

#### eprintln

println but to stderr :)

```sh
eprintln "test"
echo test1
```

#### tdefine

ternary define: `$1 = if ($4) { $2 } { $3 } cmd...`

```sh
backtick -E uid { id -u }
tdefine sucmd "doas" "exec" { s6-test $uid != 0 }

$sucmd s6-linux-init-shutdown
```

#### elevate

the same thing from above but just one command (and with sudo fallback)

```sh
elevate s6-linux-init-shutdown
```

#### where

which(1) but in execline

```sh
backtick -E sh { where sh }
echo "shell full path: $sh"
```

#### iscmd

exits with 0 if command exists

```sh
tdefine shell "zsh" "sh" { iscmd zsh }
```
